[GM965] GPU lockup running OpenGL applications on Dell Vostro 1510

Bug #1388612 reported by Andrea Bini on 2014-11-02
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Mesa
Fix Released
Medium
mesa (Ubuntu)
Medium
Unassigned

Bug Description

Hello, I'm suffering a GPU lockup problem with Ubuntu 14.10 64-bit on a Dell Vostro 1510 laptop with Intel graphics. The problem used to arise also with Ubuntu 14.04 and is always reproducible with glmark2 on the LiveCD. Just to run the "ideas" benchmark of glmark2 to trigger the lockup in few seconds (glmark2 -b ideas). Other OpenGL applications also causes the lockup (e.g. FooBillard++, my self-made SDL applications). Memory test passed, BIOS at the latest version. Don't know if the following is a good point but I think that the problem is not caused by a failing hardware because it works fine on Windows. I tried with the latest Intel upstream kernel (http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/current/) and upstream X.org (https://launchpad.net/~xorg-edgers/+archive/ubuntu/ppa), no change.

[Personal Notes]
I'm new to Ubuntu's world, I hope I've done things right, if not please tell me and I will resend the report or supply more information. I've created the bug report with "ubuntu-bug xorg --save" from another machine via SSH while the sick machine was frozen. It seemed to me more logical than using ubuntu-bug directly when the system is working fine. I've collected other information via SSH during the same lockup: dmesg, Xorg.0.log, i915_error_state. The latter was added as attachment.

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: xorg 1:7.7+7ubuntu2
ProcVersionSignature: Ubuntu 3.16.0-24.32-generic 3.16.4
Uname: Linux 3.16.0-24-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.14.7-0ubuntu8
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
Date: Sun Nov 2 19:24:31 2014
DistUpgraded: 2014-10-25 12:05:51,479 DEBUG enabling apt cron job
DistroCodename: utopic
DistroVariant: ubuntu
DkmsStatus:
 bcmwl, 6.30.223.248+bdcom, 3.13.0-37-generic, x86_64: installed
 bcmwl, 6.30.223.248+bdcom, 3.16.0-23-generic, x86_64: installed
 bcmwl, 6.30.223.248+bdcom, 3.16.0-24-generic, x86_64: installed
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) [8086:2a02] (rev 0c) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:0273]
   Subsystem: Dell Device [1028:0273]
InstallationDate: Installed on 2014-10-11 (22 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
MachineType: Dell Inc. Vostro1510
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-24-generic root=UUID=9b3612b7-c4bf-4840-885b-9fae75d6342c ro splash quiet vt.handoff=7
SourcePackage: xorg
UpgradeStatus: Upgraded to utopic on 2014-10-25 (8 days ago)
dmi.bios.date: 03/18/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A15
dmi.board.name: 0M277C
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnDellInc.:bvrA15:bd03/18/2009:svnDellInc.:pnVostro1510:pvrNull:rvnDellInc.:rn0M277C:rvr:cvnDellInc.:ct8:cvrN/A:
dmi.product.name: Vostro1510
dmi.product.version: Null
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.12+14.10.20140918-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.56-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.3.0-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.3.0-0ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.16.0-1ubuntu1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.0-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.4.0-2ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.914-1~exp1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu2
xserver.bootTime: Sun Nov 2 18:41:51 2014
xserver.configfile: default
xserver.errors:
 intel(0): Detected a hung GPU, disabling acceleration.
 intel(0): When reporting this, please include /sys/class/drm/card0/error and the full dmesg.
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 15873
 vendor LPL
xserver.version: 2:1.16.0-1ubuntu1

Created attachment 101821
/sys/class/drm/card0/error as requested

Normal browsing, no other significant applications running. Crash has occurred 3+ times. Kernel remains up after display crash. Able to use other vtys normally, but restarting mdm after display crash results in full kernel lock.

Google Chrome 35.0.1916.153

Linux host3 3.13.0-24-generic #47-Ubuntu SMP Fri May 2 23:30:00 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Unable to consistently replicate with any specific use case.

Created attachment 101823
dmesg tail after GPU crash

Issue replicated. Browsing in chrome again. No GPU crash reported this time. I'm lost on what component is truly causing the failure at this point.

[ 18.736862] init: plymouth-upstart-bridge main process ended, respawning
[ 2738.952528] perf samples too long (2509 > 2500), lowering kernel.perf_event_max_sample_rate to 50000
[ 4610.808077] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
[ 4616.535139] Watchdog[2389]: segfault at 0 ip 00007fae73e88b4e sp 00007fae638ae670 error 6 in chrome[7fae6fe97000+4f39000]
[ 4638.603458] Watchdog[4588]: segfault at 0 ip 00007f2827619b4e sp 00007f281703f670 error 6 in chrome[7f2823628000+4f39000]
[ 4648.644352] Watchdog[4627]: segfault at 0 ip 00007f2c06ceeb4e sp 00007f2bf6714670 error 6 in chrome[7f2c02cfd000+4f39000]

4 comments hidden view all 140 comments
Andrea Bini (andrea-bini) wrote :
5 comments hidden view all 140 comments

*** Bug 83627 has been marked as a duplicate of this bug. ***

*** Bug 84781 has been marked as a duplicate of this bug. ***

*** Bug 84971 has been marked as a duplicate of this bug. ***

*** Bug 85344 has been marked as a duplicate of this bug. ***

*** Bug 85406 has been marked as a duplicate of this bug. ***

*** Bug 85656 has been marked as a duplicate of this bug. ***

*** Bug 85726 has been marked as a duplicate of this bug. ***

*** Bug 85749 has been marked as a duplicate of this bug. ***

*** Bug 85824 has been marked as a duplicate of this bug. ***

*** Bug 86108 has been marked as a duplicate of this bug. ***

*** Bug 85874 has been marked as a duplicate of this bug. ***

*** Bug 86167 has been marked as a duplicate of this bug. ***

*** Bug 81394 has been marked as a duplicate of this bug. ***

I've just marked a lot of bugs as duplicates of this one, so that we can hopefully get to the bottom of the Great Gen4 Chrome Hang of 2014.

Firstly, apologies if your bug is not actually the same bug as all of the rest. It's hard to determine that in advance.

It looks like this report was the first, and it's from the end of June. What changed when you started experiencing the hang? Did you update Mesa, the kernel, or Chrome itself?

Does reverting to a version of one of these from, say, April avoid the problem? If so, that's great and we should be able to bisect it.

*** Bug 83807 has been marked as a duplicate of this bug. ***

*** Bug 84561 has been marked as a duplicate of this bug. ***

*** Bug 85249 has been marked as a duplicate of this bug. ***

*** Bug 78483 has been marked as a duplicate of this bug. ***

*** Bug 74094 has been marked as a duplicate of this bug. ***

Well, it never worked for me (I'm the reporter of bug 85824) but I tried chrome only very recently (v 38.0.2125.111).

On the other hand I have a case that reproduces bug 85824 100% of the times: bootstrap, login, launch chrome, go to the chrome store, don't touch anything, wait a few instants ... video hangs.

The mainboard that this graphics chipset was embedded in has failed and I no longer have it available for testing. (Failure seemed to be DIMM related; probably not relevant to this bug.)

I rolled out Mint 17 with Chrome perhaps two weeks after its release/two weeks before opening this report. These intermittent failures started happening immediately. The failures persisted throughout all subsequent system/Chrome updates until the board died a few weeks ago.

Unfortunately, I was not able to identify any cases under which this set of packages worked stably on this graphics chipset.

(The new system with different mainboard is running the same packages; just moved the hard disc over. No failures have occurred since swapping to a different mainboard/graphics chipset.)

I have upgraded chromium-browser from 37.0.2062.120 to 38.0.2125.111 recently, but my OS (Ubuntu Trusty) provides only version 34 as the alternative version to downgrade to.

I downgraded chromium from the current 38 version to the 34.0.1847.116 Built on Ubuntu 14.04, running on LinuxMint 17 aura (260972). It was available from the official repositories selecting the option to force version in synaptic.

Since I made it, I never experienced the gpu hang again.

PS: I'm running Linux Mint 17. On previous versions this bug didn't exist.

That leads me to the conclusion that the problem doesn't reside on intel's driver, but on chromium itself.

lagreca can you please visit the Google Chrome Store and multiple random videos on Youtube and see if Chrome still doesn't hang?

txtsd, I've already done that. I have browsed multiple tabs on youtube, other video websites, outlook website (which made the hang happen when clicking the instanst messenger button), and so on.

The bug just doesn't happen on Chromium Version 34.0.1847.116 Built on Ubuntu 14.04, running on LinuxMint 17 aura (260972).

I have tested it with and without the chromium ffmpeg extra codecs package.

I have tested flash videos and html5 videos.

There is no bug with this version.

Of course I'd like to use the newer versions of Chrome and Chromium.

I've entered chrome store while testing other tabs.

It's ok.

There's no gpu hang anymore.

lagreca, I think Chrome was still using software acceleration for page rendering in version 34. It hadn't changed it to hardware acceleration yet. I am not 100% sure though.
Another factor that is not mentioned here is that Chrome is not the only app that causes the crash. Glmark2, an OpenGL benchmark app, causes exactly the same issue when it reaches the "Idea" test.

I've encountered the bug with github's Atom too.

Alex,

But I checked the box to enable hardware acceleration when available.

If there are other programs affected, then I must agree with you that it's really a driver's bug.

But the Chromium version I installed works for me.

It used to work for all of us, I remember it too. The bug first appeared in version 36 and it was only a couple of times in 4 months. It got worse in 37 and finally it's permanent in 38.

They keep changing things. The fact that hardware acceleration is enabled, doesn't mean that all functions are enabled too. If you type chrome://gpu on your search bar, you will see a more thorough list of what is actually enabled and what's not yet. They keep certain functions disabled till they become stable.

On my system, the Web store is crashing the GPU each and every time I go there without disabling hardware acceleration first. It's not random. The web store has no videos. hotmail is doing it too but randomly. Google Chrome download page caused it once too. It has to be something else or there maybe 2 or 3 factors causing this.

(In reply to Alex from comment #34)
> It used to work for all of us, I remember it too. The bug first appeared in
> version 36 and it was only a couple of times in 4 months. It got worse in
> 37 and finally it's permanent in 38.
>
> They keep changing things. The fact that hardware acceleration is enabled,
> doesn't mean that all functions are enabled too. If you type chrome://gpu
> on your search bar, you will see a more thorough list of what is actually
> enabled and what's not yet. They keep certain functions disabled till they
> become stable.
>
> On my system, the Web store is crashing the GPU each and every time I go
> there without disabling hardware acceleration first. It's not random. The
> web store has no videos. hotmail is doing it too but randomly. Google
> Chrome download page caused it once too. It has to be something else or
> there maybe 2 or 3 factors causing this.

4 months is probably wrong. It was a long time though. :)

Created attachment 109501
The content of "chrome://gpu " in Chrome 38.

Created attachment 109502
The content of "chrome://gpu " in Chromium 34.

37 comments hidden view all 140 comments
Felix Schwarz (felix-schwarz) wrote :

This is a bug in the Intel Mesa driver. Unfortunately I have little hope that it will be fixed soon: "This suggests that we're missing a flush somewhere... but finding where is like finding a needle in all the haystacks. :(" (https://bugs.freedesktop.org/show_bug.cgi?id=80568)

Anyways, as far as Ubuntu is concerned this seems to be the same as bug 1382673, bug 1385810 and bug 1394424.

affects: xorg-server → mesa
Changed in mesa:
importance: Unknown → Medium
status: Unknown → Confirmed
Changed in mesa:
status: Confirmed → Fix Released
Changed in xorg (Ubuntu):
status: New → Confirmed
Changed in xorg (Ubuntu):
importance: Undecided → Medium
importance: Medium → Critical
Timo Aaltonen (tjaalton) on 2015-01-28
affects: xorg (Ubuntu) → mesa (Ubuntu)
Changed in mesa (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → In Progress
importance: Critical → High
98 comments hidden view all 140 comments

> Newbie here. I tried the same thing as Jamie Jackson but it keeps crashing.
> I have a freshly installed Ubuntu 14.04

I'm not sure if this means that you have also not actually upgraded to the fixed packages as Jamie Jackson indicated. Please dpkg -l libgl1-mesa-dri and check that the installed version is equivalent to the mesa version listed on xorg-edgers: https://launchpad.net/~xorg-edgers/+archive/ubuntu/ppa

(In reply to Ryan Underwood from comment #96)
> I'm not sure if this means that you have also not actually upgraded to the
> fixed packages as Jamie Jackson indicated. Please dpkg -l libgl1-mesa-dri
> and check that the installed version is equivalent to the mesa version
> listed on xorg-edgers: https://launchpad.net/~xorg-edgers/+archive/ubuntu/ppa

This is what I have

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name
ii libgl1-mesa-dri:amd64
Version
10.5.0~git20150127.5c83a0d2-0ubuntu0ricotz~trusty

Architecture
amd64

Description
free implementation of the OpenGL API -- DRI modules

Regarding the GPU reset, it is in Linux since 3.19-rc1. So if your GPU is not resetting after crashing, upgrade your kernel. Ubuntu has mainline Linux kernel dpkg packages that work well.

This is the patching commit: https://github.com/torvalds/linux/commit/656bfa3afc14e45e2d9e1624bf60d79b3beb12f2

It sounds like everyone's GPU's are resetting, so I'm wondering if maybe the Ubuntu guys backported this.

(In reply to 1544c from comment #94)
> (In reply to Ryan Underwood from comment #93)
> > You didn't actually install the packages that include the fix. :-) Try
> > dist-upgrade.
>
> Newbie here. I tried the same thing as Jamie Jackson but it keeps crashing.
> I have a freshly installed Ubuntu 14.04
> This happens everytime when I try to visit "google.com/chrome" with Firefox
> and when I try to watch a YouTube video with Google Chrome.

Thanks, Ryan. I had high hopes for dist-upgrade; alas, it didn't seem to work.

Let me know if I did something wrong, or if I'm barking up the wrong tree, but here's what I got:

# show currently installed version (mine showed 10.1.3-0ubuntu0.3 for amd64 and i386)
dpkg -l libgl1-mesa-dri
# add edgers repo
sudo apt-add-repository ppa:xorg-edgers/ppa
# get the new package lists
sudo apt-get update
# install the edgers packages
sudo apt-get dist-upgrade
# show currently installed version (my packages now show 10.5.0~git20150127)
dpkg -l libgl1-mesa-dri
# reboot
sudo reboot

# try firefox test case
firefox http://www.google.com/chrome/

============= Yields BSOD, with... ================
(process:3075): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed

(firefox:3075): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::sm-connect after class was initialised

(firefox:3075): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::show-crash-dialog after class was initialised

(firefox:3075): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::display after class was initialised

(firefox:3075): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::default-icon after class was initialised
ATTENTION: default value of option force_s3tc_enable overridden by environment.
intel_do_flush_locked failed: Invalid argument
===================================================

BTW:
jamie@minty ~ $ uname -a
Linux minty 3.13.0-24-generic #47-Ubuntu SMP Fri May 2 23:30:00 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
jamie@minty ~ $ lsb_release -d
Description: Linux Mint 17 Qiana

Jamie Jackson, having read you issue with www.google.com/chrome, I've visited the site at least 10 times using Chrome after yesterday's updates and all went just fine. Are you facing the same issue when you're using chrome or is it a firefox issue only?

Jamie, your uname -a output indicates that you haven't installed a kernel that contains the other part of the fix.
Go here: http://kernel.ubuntu.com/~kernel-ppa/mainline/
Pick a kernel >= v3.19-rc1 and install the proper debs. Then make sure you choose that kernel at your bootloader.

(In reply to Alex from comment #100)
> Jamie Jackson, having read you issue with www.google.com/chrome, I've
> visited the site at least 10 times using Chrome after yesterday's updates
> and all went just fine. Are you facing the same issue when you're using
> chrome or is it a firefox issue only?

Not sure if the Chrome/YouTube still persisted after that, because that was intermittent--I never had a 100% reliable Chrome test case, which is why I was using the reliable Firefox case.

(In reply to Ryan Underwood from comment #101)
> Jamie, your uname -a output indicates that you haven't installed a kernel
> that contains the other part of the fix.
> Go here: http://kernel.ubuntu.com/~kernel-ppa/mainline/
> Pick a kernel >= v3.19-rc1 and install the proper debs. Then make sure you
> choose that kernel at your bootloader.

Thanks for putting the pieces together for me, Ryan. I seem to have success now. (My package management is probably pretty weird as a result, but I'm going to ignore that.)

For the other n00bs, here was the final piece:

mkdir -p /tmp/kernel && cd /tmp/kernel
wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.19-rc5-vivid/linux-image-3.19.0-031900rc5-generic_3.19.0-031900rc5.201501180935_amd64.deb
wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.19-rc5-vivid/linux-headers-3.19.0-031900rc5_3.19.0-031900rc5.201501180935_all.deb
sudo dkpg -i linux-image*
# In truth, I did this next one in GDebi, after I ran
# into a problem that "sudo apt-get install -f" fixed
sudo dpkg -i linux-headers*
sudo reboot

uname -a # yields:Linux minty 3.19.0-031900rc5-generic #201501180935 SMP Sun Jan 18 09:36:49 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
# try firefox test case
firefox http://www.google.com/chrome/

=== Yields a black blip, but it recovers! and the followng output ===
(process:3038): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed

(firefox:3038): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::sm-connect after class was initialised

(firefox:3038): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::show-crash-dialog after class was initialised

(firefox:3038): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::display after class was initialised

(firefox:3038): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::default-icon after class was initialised
ATTENTION: default value of option force_s3tc_enable overridden by environment.
======================================================================

I can verify that using updated linux kernel (3.19-rc6) and libmesa (10.5.0~git20150127.5c83a0d2-0ubuntu0ricotz~trusty ), chrome and firefox do not crash the system. I tried Google Inbox in chrome, where scrolling for few minutes was crashing the system, and no crash. I tried going to youtube in google chrome, fiddled around with the videos there, and no crash.

Going in firefox to google.com/chrome/ causes a GPU hang (will attach GPU state dump soon), however the new GPU reset code works well and the system is still functional afterwards. Should I file a new bug on this crash?

--Shachar

Download full text (3.5 KiB)

Created attachment 112956
/sys/class/drm/card0/error when running firefox http://www.google.com/chrome/

Relevant dmesg print:
[ 151.816215] [drm] stuck on render ring
[ 151.817277] [drm] GPU HANG: ecode 4:0:0xf41b8c79, in firefox [2491], reason: Ring hung, action: reset
[ 151.817279] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[ 151.817281] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[ 151.817282] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[ 151.817284] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[ 151.817286] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[ 152.168294] drm/i915: Resetting chip after gpu hang
[ 152.201301] ------------[ cut here ]------------
[ 152.201383] WARNING: CPU: 0 PID: 86 at /home/kernel/COD/linux/drivers/gpu/drm/i915/intel_sdvo.c:1424 intel_sdvo_get_config+0x201/0x220 [i9
15]()
[ 152.201388] SDVO pixel multiplier mismatch, port: 0, encoder: 1
[ 152.201391] Modules linked in: bnep rfcomm dm_crypt snd_hda_codec_idt snd_hda_codec_hdmi snd_hda_codec_generic wl(POE) snd_hda_intel gpio_
ich snd_hda_controller uvcvideo snd_hda_codec videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common dell_wmi snd_hwdep snd_pcm videod
ev sparse_keymap dell_laptop dcdbas i8k snd_seq_midi snd_seq_midi_event snd_rawmidi joydev media serio_raw coretemp r852 snd_seq sm_common na
nd snd_seq_device nand_ecc btusb nand_bch bch snd_timer nand_ids cfg80211 bluetooth snd mtd soundcore r592 memstick lpc_ich mac_hid binfmt_mi
sc parport_pc ppdev lp parport btrfs xor raid6_pq hid_generic usbhid hid psmouse sdhci_pci sdhci firewire_ohci firewire_core ahci crc_itu_t l
ibahci i915 sky2 i2c_algo_bit drm_kms_helper video wmi drm
[ 152.201502] CPU: 0 PID: 86 Comm: kworker/0:2 Tainted: P U W OE 3.19.0-031900rc6-generic #201501261152
[ 152.201507] Hardware name: Dell Inc. Inspiron 1525 /0U990C, BIOS A13 06/27/2008
[ 152.201552] Workqueue: events i915_error_work_func [i915]
[ 152.201557] 0000000000000590 ffff8800b5fabb98 ffffffff817c4584 0000000000000007
[ 152.201565] ffff8800b5fabbe8 ffff8800b5fabbd8 ffffffff81076df7 ffff8800b5fabc08
[ 152.201571] ffff880036368710 ffff88003596a000 0000000000000000 0000000000000001
[ 152.201578] Call Trace:
[ 152.201591] [<ffffffff817c4584>] dump_stack+0x45/0x57
[ 152.201600] [<ffffffff81076df7>] warn_slowpath_common+0x97/0xe0
[ 152.201607] [<ffffffff81076ef6>] warn_slowpath_fmt+0x46/0x50
[ 152.201665] [<ffffffffc02195cf>] ? intel_sdvo_get_value+0x3f/0x60 [i915]
[ 152.201723] [<ffffffffc021ab21>] intel_sdvo_get_config+0x201/0x220 [i915]
[ 152.201776] [<ffffffffc01d4d9e>] intel_modeset_readout_hw_state+0x2ae/0x450 [i915]
[ 152.201830] [<ffffffffc01eeabe>] intel_modeset_setup_hw_state+0x2e/0x3c0 [i915]
[ 152.201883] [<ffffffffc01ef320>] intel_finish_reset+0x160/0x1b0 [i915]
[ 152.201931] [<ffffffffc01b482f>] i915_error_work_func+0xdf/0x150 [i915]
[ 152.201945] [<ffffffff8108f6dd>] process_one_work+0x14d/0x460
[ 152.201952] [<ffffffff810900bb>] worker_thread+0x11b/0...

Read more...

Thanks Jamie Jackson, I haven't experienced any crashes since I applied the update.

(In reply to Kenneth Graunke from comment #86)
> Hi all. I believe this should be fixed with Mesa master - specifically,
> this commit:
>
> commit c4fd0c9052dd391d6f2e9bb8e6da209dfc7ef35b
> Author: Kenneth Graunke <email address hidden>
> Date: Sat Jan 17 23:21:15 2015 -0800
>
> i965: Work around mysterious Gen4 GPU hangs with minimal state changes.
>
> If you're able to test with Mesa master, I'd appreciate any reports of
> whether this solved the problem for you. It seems to have helped for me.

Hi.
On Archlinux 3.18.4-1-ARCH, with mesa 10.4.3-1, the crashes caused by chrome have gone away. However, visiting google.com/chrome on firefox now causes the same crash that chrome used to cause.

[179870.322075] [drm] stuck on render ring
[179870.323089] [drm] GPU HANG: ecode 0:0x7f64fafd, in firefox [14619], reason: Ring hung, action: reset
[179870.323092] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[179870.323093] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[179870.323095] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[179870.323097] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[179870.323098] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[179870.323548] [drm:i915_reset] *ERROR* Failed to reset chip: -19

*** Bug 88881 has been marked as a duplicate of this bug. ***

*** Bug 87088 has been marked as a duplicate of this bug. ***

Hi,

After searching half a day for a solution to the black screen of death issue, I finally ended up at this thread. I am happy to report the problem on Lenovo T61 with Intel 965GM graphic card on a Ubuntu 14.04 LTS is fixed by following Jamie's steps listed in comment #99. It does need an updated kernel, mine is 3.13.0-46-generic #79-ubuntu.

I would appreciate if someone with more knowledge then I propagates this solution to 50+ sites which discusses the black screen problem but with no viable solution!

Thank you very much for your dedication to help resolve this issue.

After all these days I've been using the latest drivers and stuff offered by xorg-edgers and everything seemed to be running fine, tonight it happened again. It seems that if I visit www.google.com/chrome using the first tab on Chrome, everything is fine. Tonight I needed to download Chrome for another computer and I visited that page at a moment when several other apps and seven other tabs were already open on Chrome, thus creating an eighth tab. That caused an immediate GPU crash and the screen went off again.

This has become very annoying. I need to work without these issues guys. :(

Did you upgrade your kernel Alex? If you did, the GPU should be able to properly reset.

(In reply to Janus Troelsen from comment #111)
> Did you upgrade your kernel Alex? If you did, the GPU should be able to
> properly reset.

The last official kernel released for *ubuntus 14.04 is 3.16 which is no good for this issue. If I recall correctly the one needed is 3.19 and in this case it has to be downloaded from the mainline site and they do not recommend that.

I don't know whether I should trust it or not.

*** Bug 89249 has been marked as a duplicate of this bug. ***

*** Bug 88281 has been marked as a duplicate of this bug. ***

*** Bug 88195 has been marked as a duplicate of this bug. ***

*** Bug 87770 has been marked as a duplicate of this bug. ***

*** Bug 87723 has been marked as a duplicate of this bug. ***

*** Bug 89489 has been marked as a duplicate of this bug. ***

*** Bug 87550 has been marked as a duplicate of this bug. ***

*** Bug 86972 has been marked as a duplicate of this bug. ***

*** Bug 87089 has been marked as a duplicate of this bug. ***

*** Bug 86937 has been marked as a duplicate of this bug. ***

*** Bug 84803 has been marked as a duplicate of this bug. ***

*** Bug 86721 has been marked as a duplicate of this bug. ***

*** Bug 89341 has been marked as a duplicate of this bug. ***

Andrea Bini, thank you for reporting this and helping make Ubuntu better.

As per https://wiki.ubuntu.com/Releases, Ubuntu 14.10 reached EOL on July 23, 2015.

Is this reproducible on a supported release?

tags: added: latest-bios-a15
Changed in mesa (Ubuntu):
importance: High → Medium
status: In Progress → Incomplete
Andrea Bini (andrea-bini) wrote :

Yes, I've upgraded the system to version 15.10 and installed all the updates. glmark2 "ideas" benchmark now works but FooBillard++ still triggers the lockup almost immediately. What really changed is that now a reboot from another virtual console is no more needed. After the lockup, the GPU restarts automatically in few seconds, the graphical environment continues to work fine and the application terminates reporting the error: "intel_do_flush_locked failed: Input/output error". I'd like to find other applications, officially distributed with Ubuntu, that causes this issue. I'll do it as soon as I can.

Thanks for your attention!

Andrea Bini, to see if this is already resolved, could you please test http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

tags: added: wily
Andrea Bini (andrea-bini) wrote :

Done, same result with FooBillard++ except that the graphical environment becomes unusable; you can only move the mouse cursor. If you switch to another virtual console and restart the lightdm service from there, you come back to the login screen and you don't have to reboot. I've tried OpenArena, Warzone 2100, two WebGL tests found on the web and all glmark2 tests again on Ubuntu 15.10; they all works fine. Seems to be a very specific problem. Can you suggest me an application that performs a comprehensive GPU test or something else that is interesting to try?

Andrea Bini, when the graphical environment becomes unusable, is there a crash file in the /var/crash folder?

tags: added: xenial
Andrea Bini (andrea-bini) wrote :

No, it's empty.

Andrea Bini, it wouldn't hurt to file a net new report upstream for this (unless one of the many duplicates of #80568 was one you personally reported). Could you please advise?

Changed in mesa (Ubuntu):
status: Incomplete → Triaged
Andrea Bini (andrea-bini) wrote :

Christopher M. Penalver, you mean to file a new bug report at freedesktop.org? I haven't reported any of the duplicates of #80568; the latter was linked to this bug by Felix Schwarz and then many other bugs were mark as duplicates of it on freedesktop.org. Matt Turner already suggested to file a new bug report for FooBillard++ (https://bugs.freedesktop.org/show_bug.cgi?id=80568#c91) but seems that no one has done it. I've found this (https://bugs.freedesktop.org/show_bug.cgi?id=72172) regarding FooBillard++ on GM45 that may be relevant. I own the same chip on another computer and I can confirm the same behaviour on Ubuntu 16.04. The graphic glitches that happen during the game are very similar to the ones shown on GM965, but the GPU doesn't hang and the game keeps running. Maybe before reporting would be better to find other applications that reveal the bug. What do you think about it? It would help or create more confusion?

Andrea Bini, both up and downstream prefer folks file separate reports, as it's cheap to mark duplicates after its been confirmed, which helps the most and reduces confusion.

The other folks you mentioned, while it's great they have contributed in their way, they haven't reviewed your report personally, so any belief prior to this would be premature.

Andrea Bini, in response to your email, please feel free to file the report following upstream's instructions via https://01.org/linuxgraphics/documentation/how-report-bugs .

Displaying first 40 and last 40 comments. View all 140 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.